Closed Bug 1023889 Opened 8 years ago Closed 1 month ago

Plugin check reporting a vulnerable plugin but 'update now' link is dead

Categories

(Websites :: plugins.mozilla.org, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED INCOMPLETE

People

(Reporter: richlaughlin, Unassigned)

References

Details

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:30.0) Gecko/20100101 Firefox/30.0 (Beta/Release)
Build ID: 20140605174243

Steps to reproduce:

Ran plugin check


Actual results:

MetaStream 3 Plugin reported Viewpoint Plugin vulnerable 3.2.2.26 "Update Now". When i clicked "update now" it went to a dead link http://www.viewpoint.com/technologies/viewpoint-media-player.shtml


Expected results:

If a newer version has been detected then the link should go to where the newer version can be installed.
p.s. this was on Windows XP
On further investigation, i understand this plugin is blocklisted and it is indeed disabled on my machine. However i think the bug still stands, in that it shouldn't be flagged as "vulnerable - update now" with a dead link.
Hi, Yes that is my thread where i identified the problem and was asked to use bugzilla to submit a bug

It appears the plugin has been disabled for years, but for some reason Firefox 30 has started flagging up a new update available.

I have now removed the plugin from my machine, so someone else will have to verify any fixes

thanks ...

PluginCheck is no longer supported

Status: UNCONFIRMED → RESOLVED
Closed: 1 month ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.